Как установить PHP 7.1

Название в значительной степени говорит все. Я знаю о добавлении stretch , чтобы получить PHP 7. Но он не показывает PHP 7.1.

deb http://mirrordirector.raspbian.org/raspbian/ stretch main contrib non-free rpi

Бонусный вопрос , где я должен отказаться от запроса на обновление PHP-версии Raspbian по умолчанию?

4 голоса | спросил janw 27 J000000Thursday17 2017, 11:17:32

1 ответ


8

Пакет php7.1 не находится в stretch, но он находится в buster и sid (для Debian 10 и нестабильной, соответственно).

Вы можете просто изменить stretch на buster, а затем запустите:

$ [sudo] apt-get install php7.1

Возможно, вам будет полезно обновить систему в соответствии с рекомендацией документации Debian при выполнении этого с помощью ---- +: = 7 =: + ---- - знать, что это приведет к обновлению всей системы от стабильного до тестирования , и многие пакеты, вероятно, будут модернизированы.


На ваш бонусный вопрос:

  

Где я должен удалить запрос на обновление PHP-версии Raspbian по умолчанию?

Стандартная версия PHP в Raspbian чрезвычайно сильно вряд ли будет изменена на данный момент из-за способ работы циклов Debian :

  

В приведенном выше массиве данные, внимательно следящие за «текущими» тенденциями высвобождения, были выделены зеленым цветом. Из этих данных можно сделать вывод, что «наиболее типичный» выпуск Debian:

     
  • переносит цикл заморозки за 7 +/- 1 месяц до выпуска.
  •   
  • выпущен примерно через 2 года после предыдущего (часто цитируемый пример Debian Sarge является весьма исключительным событием в истории Debian).
  •   
  • оставляет пользователей около 1 года, чтобы перейти на следующий, когда этот последний сам освободится.
  •   
  • имеет (от выпуска до конца обновлений безопасности) общий срок службы около 3 лет.
  •   

Stretch был заморожен в феврале 2017 года , поэтому новых обновлений функций для пакета PHP не будет репозитории Stretch. Таким образом, в обозримом будущем пакет PHP останется устаревшим в стабильном состоянии до тех пор, пока Raspbian Buster не станет стабильным (на котором точка, пакет PHP будет устаревать, до бесконечности).

Это просто характер Debian: вы торгуете новейшими пакетами в обмен на большую стабильность, и вам нужно будет придерживаться релиза тестирования, если вы хотите использовать последние функции.

ответил Aurora0001 27 J000000Thursday17 2017, 15:16:39

Похожие вопросы

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132